View Issue Details

IDProjectCategoryView StatusLast Update
0002123unrealmodule apipublic2004-11-05 15:38
ReporterXueferAssigned Tocodemastr 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Platformwin2kOSwindowsOS Version
Product Version3.2.1 
Target VersionFixed in Version3.2.3 
Summary0002123: Smarter handling of MOD_Dep paths
Descriptionmy directlry struct:
modules/*.dll
current of 3rd param required exact path(/path/abc.dll or path/abc.dll)
which make it useless (useful=1%)
suggest load it more smartly
1. auto append ext(.dll .so)
2. try path of current module
3. try path in $PATH env and workingdir (done by system? i)
TagsNo tags attached.
3rd party modules

Activities

codemastr

2004-10-14 20:28

reporter   ~0008006

Hmm, good points. I'll try to come up with a nice clean (and backwards compatible) way of dealing with this.

codemastr

2004-10-29 15:20

reporter   ~0008175

Ok, here is my plan. To do this in a backwards compatible manner, we need to make a new module system version (the current is 3.2-beta8-1). So if it is set to 3.2-beta8, then we continue like we do now. If it is set to 3.2.3, then we do a little more processing. Rather than having say, "src/modules/blah.so" they'd just put "blah" and Unreal would add the path and extension information. That way it is fully backwards compatible, and it adds this new feature.

codemastr

2004-11-05 15:38

reporter   ~0008256

Added in .172

Issue History

Date Modified Username Field Change
2004-10-14 06:15 Xuefer New Issue
2004-10-14 20:28 codemastr Note Added: 0008006
2004-10-29 15:20 codemastr Note Added: 0008175
2004-10-29 15:23 codemastr Status new => assigned
2004-10-29 15:23 codemastr Assigned To => codemastr
2004-10-29 15:25 codemastr Summary more smarty on 3rd param of MOD_Dep => Smarter handling of MOD_Dep paths
2004-11-05 15:38 codemastr Status assigned => resolved
2004-11-05 15:38 codemastr Fixed in Version => 3.2.3
2004-11-05 15:38 codemastr Resolution open => fixed
2004-11-05 15:38 codemastr Note Added: 0008256
2017-01-06 15:48 syzop Category module => module api